import java.util.*;
import java.io.*;

public class count {
    public static void main (String[] args) throws Exception {
        Scanner in = new Scanner(new File("count.in"));
        PrintWriter out = new PrintWriter(new File("count.out"));
        String s = in.next();
        String s1 = in.next();
        int len = s.length(), len1 = s1.length(), cnt = 0;
        for(int i = 0; i <= len - len1; i++){
            String tmp = s.substring(i, i + len1);
            if(tmp.equals(s1))
              cnt++;
        }
        out.print(cnt + " ");
        in.close();
        out.close();
    }
}
